DocumentMetadataRecord
Per-document status and result within a metadata expansion job.
Per-document status and result within a metadata expansion job.
| Property | Type | Required | Description |
|---|---|---|---|
document_id | string | Yes | A 24-character hexadecimal MongoDB ObjectId string. |
status | MetadataExpansionDocumentStatus | No | Default: "pending". |
extracted | object | null | No | |
error | string | null | No | |
attempts | integer | No | Default: 0. |
We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.
DocumentIngestionStatus
Status of a single document within a graph-ingestion job. `REMOVED` marks a document deleted from the graph via `DELETE /v1/graph/documents/{document_id}`: terminal and non-failed for the job's status, skipped by a bulk job resume, re-addable via retry.
DocumentRetryResponse
Acknowledgement that a single failed document was queued for retry.